<?php
    ini_set('display_errors', 1);
?>

<!doctype html>
<html lang="cs">
    <head>
        <meta charset="utf-8">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"></script>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title></title>
    </head>
    <body>
        <h1>Anketa</h1>
        <h2>Hlasování o nejhezčí město v našem kraji</h2>

        <?php
            session_start();
            $db = new mysqli("localhost", "root", "", "dinhth");
            $db->set_charset("utf8");

            if(isset($_SESSION["hlasovano"])){        //bylo hlasovano = zobrazime vysledek
                echo '<p>Výsledky hlasování: <br>';
                $celkem = 0;
                $dotaz = $db -> query("SELECT text, pocet FROM anketa ORDER BY id");
                while($data = $dotaz->fetch_assoc()){
                    echo $data["text"].': '.$data["pocet"].'x<br>';
                    $pocet[] = $data["pocet"];
                    $celkem += $data["pocet"];
                }
                echo '<p>Celkový počet hlasů: '.$celkem.'</p>';
                // graf

                $barva = array("red", "blue", "green", "yellow");
                echo'<svg width="380px" height="142px" style="border: 1px solid black">
                        <line stroke="black" stroke-width="1" x1="50" y1="71" x2="370" y2="71" />
                        <text fill="black" x="25" y="127">0%</text>
                        <text fill="black" x="17" y="77">50%</text>
                        <text fill="black" x="8" y="27">100%</text>';
                        for ($i=0; $i <= 3; $i++) { 
                            echo '<rect fill="'.$barva[$i].'" width="40" x="'.(70 + $i*80).'" ';
                            if($pocet[$i] == 0){
                                echo 'height="1" y="121"';
                            }
                            else{
                                $procento = ($pocet[$i] / $celkem) * 100;        //procenta a pixely zaroven
                                echo 'height="'.$procento.'" y="'.(122-$procento).'"';
                            }
                            echo ' />';
                        }
                        echo '
                        <line stroke="black" stroke-width="1" x1="50" y1="122" x2="370" y2="122" />
                        <line stroke="black" stroke-width="1" x1="50" y1="21" x2="370" y2="21" />
                    </svg>';
            }
            else {
                if(isset($_POST["anketa"])){            // byl odeslan formular
                    $id = $_POST["anketa"];
                    $dotaz = $db -> prepare("UPDATE anketa SET pocet =  pocet + 1 WHERE id = ?");
                    $dotaz -> bind_param("i", $id);
                    $dotaz->execute();
                    $_SESSION["hlasovano"] = true;
                    header("location:anketa.php");
                }
                else {          // zobrazime formular
                    echo '<form method="post">
                    <p>Zvolte jednu z možností:<br>';
                    $dotaz = $db -> query("SELECT id, text FROM anketa ORDER BY id");
                    while($data = $dotaz->fetch_assoc()){
                        echo'<input type="radio" name="anketa" value="'.$data["id"].'"
                        required> '.$data["text"].'<br>
                        ';
                    }
                    echo '<input type="submit" value="Hlasovat"></p></form>';
                }
            }
        ?>
    </body>
</html>
