<?php 
    if(isset($_GET["zapomenuteheslo"])){
        echo '<h2>Zapomenuté heslo</h2>';
        if(isset($_POST["email"])){
            $email =  $_POST["email"];
            $dotaz = $db->prepare("SELECT id FROM uzivatele WHERE email LIKE ?");
            $dotaz->bind_param("s", $email);
            $dotaz->execute();
            $vysledek = $dotaz->get_result();
            if($vysledek->num_rows == 1){       // email byl nalezen v databazi
                $kod = hash("sha512", time().$email.rand());    // hash
                $obnova = substr($kod, rand(0,10), 1).substr($kod, rand(10,20), 3).substr($kod, rand(20,50), 5).substr($kod, rand(50,80), 3).substr($kod, rand(80,120), 3);
                $platnost = time() + 60*60; // čas + 1h
                $dotaz = $db->prepare("UPDATE uzivatele SET obnova = ?, platnost = ? WHERE email LIKE ?");
                $dotaz->bind_param("sis", $obnova, $platnost, $email);
                $dotaz->execute();
                echo '<p> Na zadaný e-mail byl zaslán ověřovací kód.</p>';
                $textmailu = '<p>Pro obnovení emailu pokračujte na stránku:<br>
                <a href="http://localhost/dinhth/clanky/'.$root.'?obnova='.$email.'&kod='.$obnova.'">http://localhost/dinhth/clanky/'.$root.'?obnova='.$email.'&kod='.$obnova.'</a></p>';
                echo $textmailu;
            }  
            else{   //email neni v DB
                echo'<h2 style="color:red">E-mail nebyl nalezen</h2>';
            }
        }
        else{   //formular pro zaslani kodu
            echo '<form method="post">
            <p>E-mail: <input type="email" name="email" required><br>
            <input type="submit" value="Obnovit"></p>
            </form>';
        }
    }
?>