<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <?php
        class Osoba{
            private $jmeno;
            private $primeni;
            private $vek;

            function __construct($jm, $pr, $v){
                if (!$this->setJmeno($jm)){
                    $this->jmeno = "neznámé";
                }
                if (!$this->setPrijmeni($pr)){
                    $this->prijmeni = "neznámé";
                }
                if(!$this->setVek($v)){     // kdyz se nepovede zapsat vek
                    $this->vek = 0;
                }
            }

            function __toString()
            {
                return '<p>Jméno: '.$this->jmeno.'<br>
                Přijmení: '.$this->prijmeni.'<br>
                Věk: '.$this->vek.'</p>';
            }

            function getJmeno(){
                return $this->jmeno;
            }
            function getPrijmeni(){
                return $this->prijmeni;
            }
            function getVek(){
                return $this->vek;
            }

            function setVek($v){
                if ($v >= 0 && $v < 110) {
                    $this->vek = $v;
                    return true;
                }
                return false;
            }

            function setJmeno($jm)
            {
                if (strlen($jm) >= 2 && strlen($jm) < 15){
                    $this->jmeno = $jm;
                    return true;
                }
                return false;
            }

            function setPrijmeni($pr)
            {
                if (strlen($pr) >= 2 && strlen($pr) < 15){
                    $this->prijmeni = $pr;
                    return true;
                }
                return false;
            }
        }

        $o1 = new Osoba("Jan", "Nový", 200);
        $o2 = new Osoba("Pro", "Boha", 100);

        echo $o1;
        echo $o2;
    ?>
</body>
</html>