<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <?php
        class Znamka{
            public $znamka;
            public $vaha;
            public $text;
            public $dalsi;

            function __construct($zn, $v, $t)
            {
                $this->znamka = $zn;
                $this->vaha = $v;
                $this->text = $t;
            }

            function __toString()
            {
                return '<p>Známka: '.$this->znamka.'<br>
                Váha: '.$this->vaha.'<br>
                Text: '.$this->text.'</p>';
            }
        }

        function vloz($predmet, $znamka, $vaha, $text)
        {
            while ($predmet->dalsi != null) {
                $predmet = $predmet->dalsi;
            }
            // predmet ukazuje na posledni znamku z tohoto predmetu
            $predmet->dalsi = new Znamka($znamka, $vaha, $text);
        }

        function vypis($predmet)
        {
            while($predmet != null){
                echo $predmet;
                $predmet = $predmet->dalsi;
            }
        }

        function prumer($predmet)
        {
            $znvh = 0;
            $vahy = 0;
            while ($predmet != null) {
                $znvh += $predmet->znamka * $predmet->vaha;
                $vahy += $predmet->vaha;
                $predmet = $predmet->dalsi;
            }
            echo '<p>Prumer: '.round($znvh/$vahy, 2).'</p>';
        }

        function najdiText($predmet, $text)
        {
            while ($predmet != null) {
                if (strtolower($predmet->text) == strtolower($text)) {
                    echo '<p>'.$predmet->text.' - známka: '.$predmet->znamka.', váha: '.$predmet->vaha.'</p>';
                }
                $predmet=$predmet->dalsi;
            }
        }

        $mat = new Znamka(1,6,"Zkoušení");
        $csj = new Znamka(2,4,"didaktak");

        vloz($mat, 2, 1, "DU");
        vloz($mat, 5, 4, "PP");
        vloz($mat, 3, 10, "POL");

        vloz($csj, 1, 5, "DU");
        vloz($csj, 2, 7, "PP");
        vloz($csj, 4, 1, "POL");

        echo '<h2>Matematika</h2>';
        vypis($mat); 
        prumer($mat);   

        echo '<h2>Čeština</h2>';
        vypis($csj); 
        prumer($csj); 

        echo '<h2>Hledání podle textu</h2>';
        najdiText($csj, "Du");
    ?>
</body>
</html>