<?php
    if (isset($_GET["edit"]) && isset($_SESSION["email"])) {
        echo '<h2>Úprava článku</h2>';
        $id = $_GET["edit"];
        $dotaz = $db->prepare("SELECT uzivatele.email AS email, clanky.nadpis AS nadpis, clanky.text AS text FROM clanky INNER JOIN uzivatele ON uzivatele.id = clanky.id_autora WHERE clanky.id = ?");
        $dotaz->bind_param("i", $id);
        $dotaz->execute();
        $vysledek = $dotaz->get_result();
        if ($vysledek->num_rows == 1) {
            $data= $vysledek->fetch_assoc();
            if (($_SESSION["email"]) == $data["email"]) {
                if (isset($_POST["nadpis"]) && isset($_POST["text"])){      // odeslana uprava
                    $nadpis = $_POST["nadpis"];
                    $text = $_POST["text"];
                    $datum = time();
                    $dotaz = $db->prepare("UPDATE clanky SET nadpis = ?, text = ?, upraveno = ? WHERE id = ?");
                    $dotaz->bind_param("ssii", $nadpis, $text, $datum, $id);
                    $dotaz->execute();
                    echo '<p>Upraveno. <a href="'.$root.'?clanek='.$id.'">Zpět na článek</a></p>';
                }
                else {      // formular na upravu
                    echo '<form method="post">
                    <p>Nadpis: <input type="text" name="nadpis" maxlength="200" value="'.$data["nadpis"].'" required><br>
                    Text: <textarea name="text" cols="100" rows="10" required>'.$data["text"].'</textarea><br>
                    <input type="submit" value="Upravit"></p></form>';
                }
            }
            else {      
                echo '<p>Nelze upravit cizí článek</p>';
            }
        }
        else {
            echo '<p style="color:red">Chyba: článek či autor nebyl nalezen</p>';
        }
    }
?>