<?php
    if(isset($_GET["obnova"]) && isset($_GET["kod"])){     //klik na obnoveni z emailu
        $email = $_GET["obnova"];
        $obnova = $_GET["kod"];
        $dotaz = $db->prepare("SELECT platnost FROM uzivatele WHERE obnova LIKE ? AND email LIKE ?");
        $dotaz->bind_param("ss", $obnova, $email);
        $dotaz->execute();
        $vysledek = $dotaz-> get_result();
        if($vysledek->num_rows == 1){   // email a kod souhlasi, ale musime overit
            $data = $vysledek->fetch_assoc();
            if($data["platnost"] > time()){     // kod je platny
                if(isset($_POST["heslo"])){
                    $heslo = $_POST["heslo"];
                    $heslo = hash("sha512", $heslo);
                    $heslo = "nějaká sůl".$heslo."plus pepř";
                    $heslo = hash("sha512", $heslo);
                    $dotaz = $db->prepare("UPDATE uzivatele SET heslo = ?, obnova = NULL, platnost = NULL WHERE email LIKE ?");
                    $dotaz->bind_param("ss", $heslo, $email);
                    $dotaz->execute();
                    echo '<h2>Obnovení hesla</h2>
                    <p>Heslo bylo změněno. Pokračujte na <a href="'.$root.'">hlavni stránku</a></p>';
                }
                else{
                    $platnost = time() + 600;
                    $dotaz = $db->prepare("UPDATE uzivatele SET platnost = ? WHERE email LIKE ?");
                    $dotaz->bind_param("is", $platnost, $email);
                    $dotaz->execute();
                    // uzivatel ma 10 min na zmeneni hesla
                    echo '<h2>Obnovení hesla</h2>
                    <form method="post">
                        <p>Nové heslo: <input type="password" name="heslo" required><br>
                        <input type="submit" value="Změnit"></p>
                    </form>';
                }
            }
            else{   // vyprsel cas
                echo '<h2>Obnovení hesla</h2>
                <p>Platnost kódu vypršela. Zažádejte o nový <a href="'.$root.'?zapomenuteheslo">zde</a></p>';
            }
        }
        else{   //email ci kod nebyl nalezen
            echo '<h2>Obnovení hesla</h2>
            <p>E-mail či kód nesouhlasí. Pokračujte na <a href="'.$root.'">hlavní stránku</a></p>'; 
        }
    }
?>