<?php
    if(isset($_GET["registrace"])){        //chce se registrovat
        if(isset($_POST["email"]) && isset($_POST["heslo"])){       //odeslany formular
            $email =  $_POST["email"];
            $dotaz = $db->prepare("SELECT id FROM uzivatele WHERE email LIKE ?");
            $dotaz->bind_param("s", $email);
            $dotaz->execute();
            $vysledek = $dotaz->get_result();
            if($vysledek->num_rows == 1){       // email byl nalezen v databazi, neunikatni email
                echo'<h2 style="color:red">Již registrován</h2>';
            }  
            else{
                $heslo = $_POST["heslo"];
                $heslo = hash("sha512", $heslo);
                $heslo = "nějaká sůl".$heslo."plus pepř";
                $heslo = hash("sha512", $heslo);
                $kod = hash("crc32", time().$email.time().$heslo);

                $dotaz = $db->prepare("INSERT INTO uzivatele (email, heslo, datum, kod) VALUES (?, ?, ?, ?)");
                $datum = time();
                $dotaz->bind_param("ssis", $email, $heslo, $datum, $kod);
                $dotaz->execute();

                echo'<h2 style="color:green">Registrováno</h2>
                <p>Na váš E-Mail byl zaslán ověřovací kód. Před prvním přihlášením je potřeba ověřit E-Mail pomocí kódu.</p>
                <p>Pokračujte na <a href="prihlaseni.php">přihlášení</a></p>';
                $text = '<h1>Potvrzeni registrace</h1>
                <p>Dobrý den,<br>
                pro potvrzeni registrace kliknete na nasledujici odkaz<br>
                <a href="http://localhost/dinhth/clanky/'.$root.'?overeni='.$email.'&kod='.$kod.'">http://localhost/dinhth/clanky/'.$root.'?overeni='.$email.'&kod='.$kod.'</a></p>';
                //$hlavicky = nastaveni kodovani, odesilatele atd...
                //mail($email, "overeni registrace", $text, $hlavicky)
                echo $text; //normalne bychom zaslali mailem text, zde ale nejde odeslani
                exit();
            }
        }

        echo '<h2>Registrace</h2>
        <form method="post">
        <p>E-mail: <input type="email" name="email" maxlength="50" required><br>
        Heslo: <input type="password" name="heslo" required><br>
        <input type="submit" value="Přihlásit se"></p>
        </form>

        <p><a href="'.$root.'">Zpět na úvod</a></p>';
    }
?>