<?php
    ini_set('display_errors', 1);
?>

<!doctype html>
<html lang="cs">
    <head>
        <meta charset="utf-8">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"></script>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title></title>
    </head>
    <body>
        <form>
            <p>Autor: <input type="text" name="autor" maxlength="50" required><br>
            Vzkaz: <textarea type="text" name="text" cols="80" rows="6" required></textarea><br>
            <input type="submit" value="Přidat vzkaz"></p>
        </form>



        <?php           // 4 parametry - adresa serveru, uzivatelske jmeno, heslo, databaze
            $db = new mysqli("localhost", "root", "", "dinhth");
            $db -> set_charset("utf8");

            if(isset($_POST["autor"]) && isset($_POST["text"])){
                $autor = trim($_POST["autor"]);
                $text = trim($_POST["text"]);
                $datum = time();        // sekundy od 1970

                $dotaz = $db->prepare("INSERT INTO kniha (autor,text,datum) VALUES (?, ?, ?)");
                $dotaz->bind_param("ssi", $autor, $text, $datum);
                $dotaz->execute();
                header("location:kniha.php");
            }

            $dotaz = $db->prepare("SELECT autor, text, datum FROM kniha ORDER BY id DESC");       //bind_param nejsou potreba, v dotazu neni otaznik jako promenna
            $dotaz->execute();
            // $data obsahuje objekty z výsledku dotazu i kdyby se jednalo o dotaz na 1 konkretni udaj
            // postupne prevedeme objekty na asociativni pole
            $data = $dotaz->get_result();         

            while($vzkaz = $data->fetch_assoc()){
                echo 
                '<div>
                    <h2>Autor: '.$vzkaz["autor"].'</h2>
                    <p>'.n12br($vzkaz["text"]), false.'</p>
                    <p style="font-size: small">Přidáno '.date("j.n.Y H:i:s", $vzkaz["datum"]).'</p>
                </div>';
            }
        ?>
    </body>
</html>