<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <?php
        class Znamka
        {
            private $predmet;
            private $znamka;
            private $vaha;
            private $datum;
            private $text;

            function __construct($p,$z,$v,$d,$t)
            {
                if (!$this->setPredmet($p)) {
                    echo '<p>Chyba předmětu. Předmět musí mít délku 3 znaky.</p>';
                }
                if (!$this->setZnamka($z)) {
                    echo '<p>Chyba, známka musí být číslo 1-5.</p>';
                }
                if (!$this->setVaha($v)) {
                    echo '<p>Chyba, váha musí být číslo 1-10.</p>';
                }
                if (!$this->setDatum($d)) {
                    echo '<p>Chyba, datum musí být ve formátu DDMMYYYY.</p>';
                }
                if (!$this->setText($t)) {
                    echo '<p>Chyba, text nebyl vyplněn.</p>';
                }
            }

            function __toString()
            {
                return '<p>Predmet: '.$this->predmet.'<br>
                Známka: '.$this->znamka.'<br>
                Váha: '.$this->vaha.'<br>
                Datum: '.$this->datum.'<br>
                Text: '.$this->text.'</p>';
            }

            function setPredmet($p)
            {
                if (strlen($p)==3) {
                    $this->predmet = $p;
                    return true;
                }
                return false;
            }

            function setZnamka($z)
            {
                if ($z>=1 && $z<=5) {
                    $this->znamka = $z;
                    return true;
                }
                return false;
            }

            function setVaha($v)
            {
                if ($v>=1 && $v<=10) {
                    $this->vaha = $v;
                    return true;
                }
                return false;
            }

            function setDatum($d)
            {
                if (strlen($d)>=8) {
                    $this->datum = $d;
                    return true;
                }
                return false;
            }

            function setText($t)
            {
                if (strlen($t)>0) {
                    $this->text = $t;
                    return true;
                }
                return false;
            }

            function getPredmet()
            {
                return $this->predmet;
            }

            function getZnamka()
            {
                return $this->znamka;
            }

            function getVaha()
            {
                return $this->vaha;
            }

            function getDatum()
            {
                return $this->datum;
            }

            function getText()
            {
                return $this->text;
            }
        }
        
        $z1 = new Znamka("MAT", 1, 4, "11.22.2023", "text");
        echo $z1;
    ?>
</body>
</html>